summaryrefslogtreecommitdiffstats
path: root/graphics/inkscape/inkscape.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/inkscape/inkscape.SlackBuild')
-rw-r--r--graphics/inkscape/inkscape.SlackBuild18
1 files changed, 13 insertions, 5 deletions
diff --git a/graphics/inkscape/inkscape.SlackBuild b/graphics/inkscape/inkscape.SlackBuild
index 4fe5a7a3aa..9c145b708e 100644
--- a/graphics/inkscape/inkscape.SlackBuild
+++ b/graphics/inkscape/inkscape.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for inkscape
-# Copyright 2006-2007 Robby Workman (http://rlworkman.net)
+# Copyright 2006-2008 Robby Workman, Northport, AL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -23,10 +23,11 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=inkscape
-VERSION=0.45.1
+VERSION=0.46
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -42,11 +43,15 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
+# Add a patch from Gentoo so that this version of inkscape
+# will build on >12.1 If you need this, uncomment it.
+# patch -p1 < $CWD/inkscape-0.46-poppler-0.8.3.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -58,7 +63,10 @@ CXXFLAGS="$SLKCFLAGS" \
|| exit 1
make || exit 1
-make install-strip DESTDIR=$PKG || exit 1
+make install DESTDIR=$PKG || exit 1
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;